function [dlabel,slabel]=check_EDP_IM_str_text(val,IM_flag,EDP_flag,ni_active,T_IM)   
% check_EDP_IM
%-------------------------------------
% DESCRIPTION:
% In the modified IDA structure for a bidimensional SDOF system (see
% simplestSDOF_2dir.tcl) this function set active IM and EDP
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% val:            2 R-mu, others value not!
% IM_flag:        1 for Sa_x(T1), 2 for Sa_y(T1), 3 for max
%                 between Sa_y and Sa_x, 4 for quadratic combination along the 2
%                 direction
% EDP_flag:       1 for disp max_x, 2 for disp_max_y, 3 for max_res_x, 4
%                 for max_res_y, 5 for max disp along 2 dir, 6 for max residual disp
%                 along 2 direction, 7 for quadratic combination between displacements,
%                 8 for quadratic combination between residual disp
% T_IM, ni_active: Period and damping for interpolation
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% dlabel,slabel:  string for plot 
%--------------------------------------------------------------------------
if val~=2
slabel='R';
else
    if length(T_IM)>1
       slabel=['Average spectral accelleration (v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
    else
        if IM_flag==1
           slabel=['Sa_x (T=' num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
                if T_IM==0
                   slabel=['Pga_x',' [g]'];    
                end

        elseif IM_flag==2
                slabel=['Sa_y (T=', num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
                    if T_IM==0
                        slabel=['Pga_y',' [g]'];    
                    end

        elseif IM_flag==3
            slabel=['Sa_m_a_x (T=' ,num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
                 if T_IM==0
                    slabel=['Pga_m_a_x',' [g]'];    
                 end
        elseif IM_flag==4
            slabel=['Sa_g_m (T=',num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
                 if T_IM==0
                    slabel=['Pga_g_m',' [g]'];    
                 end
        else
            slabel=['Sa_x (T=', num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
                 if T_IM==0
                    slabel=['Pga_x',' [g]'];    
                 end
        end
    end
end
if val~=2
dlabel='Ductility';
else
    if  EDP_flag==1
       dlabel='Maximum displacement x (m)'; 
    elseif  EDP_flag==2
       dlabel='Maximum displacement y (m)'; 
    elseif  EDP_flag==3
        dlabel='Residual displacement x (m)'; 
    elseif  EDP_flag==4
        dlabel='Residual displacement y (m)'; 
    elseif  EDP_flag==5
        dlabel='Maximum displacement (m)'; 
    elseif  EDP_flag==6
        dlabel='Maximum residual displacement (m)'; 
    elseif  EDP_flag==7
        dlabel='Displacement quadratic combination along x and y (m)';
    elseif  EDP_flag==8
        dlabel='Residual displacement quadratic combination along x and y (m)';
    elseif  EDP_flag==9
        dlabel='D/C (Maximum displacement x)[ ]'; 
    elseif  EDP_flag==10
        dlabel='D/C Maximum displacement y [ ]'; 
    elseif  EDP_flag==11
        dlabel='D/C Residual displacement x [ ]'; 
    elseif  EDP_flag==12
        dlabel='D/C Residual displacement y [ ]'; 
    elseif  EDP_flag==13
        dlabel='D/C Maximum displacement [ ]'; 
    elseif  EDP_flag==14
        dlabel='D/C Maximum residual displacement [ ]'; 
    elseif  EDP_flag==15
        dlabel='D/C Displacement quadratic combination along x and y [ ]';
    elseif  EDP_flag==16
        dlabel='D/C Residual displacement quadratic combination along x and y [ ]';
    else
        dlabel='D/C Maximum displacement x (m)'; 
    end
end