function [dlabel,slabel]=check_EDP_IM_str_text_1dir(val,EDP_flag,ni_active,T_IM)   
% check_EDP_IM_1dir
%-------------------------------------
% DESCRIPTION:
% In the modified IDA structure for a bidimensional SDOF system (see
% simplestSDOF_2dir.tcl) this function set active IM and EDP
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% val:            2 R-mu, others value not!

% EDP_flag:       1 for disp max_x, 2 for disp_max_y, 3 for max_res_x, 4
%                 for max_res_y, 5 for max disp along 2 dir, 6 for max residual disp
%                 along 2 direction, 7 for quadratic combination between displacements,
%                 8 for quadratic combination between residual disp
% T_IM, ni_active: Period and damping for interpolation
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% dlabel,slabel:  string for plot 
%--------------------------------------------------------------------------
if val~=2
slabel='R';
else
    if length(T_IM)>1
       slabel=['Average spectral accelleration (v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
    else
        slabel=['Spectral accelleration (T=' num2str(T_IM,'%.2f'),' s , v=',num2str(ni_active*100,'%.1f'),' % )',' [g]'];
            if T_IM==0
                slabel=['Pga',' [g]'];    
            end        
    end
end
if val~=2
    dlabel='m';
else
    if  EDP_flag==1
        dlabel='Maximum displacement (m)';
    elseif  EDP_flag==2
        dlabel='Residual displacement (m)'; 
    elseif  EDP_flag==3
        dlabel='D/C Maximum displacement[]'; 
    elseif  EDP_flag==4
        dlabel='D/C Residual displacement []';    
    else
        dlabel='Maximum displacement (m)'; 
    end
end