function [handles1]=fn_IMK_bilin_rout(handles)     
    
% fn_IMK_rout
%-------------------------------------
% DESCRIPTION:
% the function allows to set routine data when IMK bilinear material is
% choosen
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
    handles.flag_cyclic=[];
    handles.flag_for_ida=[];
    handles.flag_for_msa=[];
    handles.flag_for_dyn=[];
    handles.flag_for_B2B=[];
    cla(handles.axes3)

    set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    axes(handles.axes3)
    xlim([0 1])
    ylim([0 1])
    grid on
    set(handles.pushbutton36,'visible','off')

    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set Lamda_S_bilin [expr %g] \n',handles.ls_bilin);
    fprintf(fid,'set Lamda_C_bilin [expr %g] \n',handles.lc_bilin);
    fprintf(fid,'set Lamda_A_bilin [expr %g] \n',handles.la_bilin);
    fprintf(fid,'set Lamda_K_bilin [expr %g] \n',handles.lk_bilin);
    fprintf(fid,'set c_S_bilin [expr %g] \n',handles.cs_bilin);
    fprintf(fid,'set c_C_bilin [expr %g] \n',handles.cc_bilin);
    fprintf(fid,'set c_A_bilin [expr %g] \n',handles.ca_bilin);
    fprintf(fid,'set c_K_bilin [expr %g] \n',handles.ck_bilin);
    fprintf(fid,'set D_Plus_bilin [expr %g] \n',handles.Dp_bilin);
    fprintf(fid,'set D_Neg_bilin [expr %g] \n',handles.Dn_bilin);
    fprintf(fid,'set n_bilin [expr %g] \n',handles.n_bilin);
    fclose(fid);
    handles.mat='imk_mod_bilin_mat';
if isempty(handles.mat_y)
        fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
        fprintf(fid,'set Lamda_S_bilin_y [expr %g] \n',handles.ls_bilin);
        fprintf(fid,'set Lamda_C_bilin_y [expr %g] \n',handles.lc_bilin);
        fprintf(fid,'set Lamda_A_bilin_y [expr %g] \n',handles.la_bilin);
        fprintf(fid,'set Lamda_K_bilin_y [expr %g] \n',handles.lk_bilin);
        fprintf(fid,'set c_S_bilin_y [expr %g] \n',handles.cs_bilin);
        fprintf(fid,'set c_C_bilin_y [expr %g] \n',handles.cc_bilin);
        fprintf(fid,'set c_A_bilin_y [expr %g] \n',handles.ca_bilin);
        fprintf(fid,'set c_K_bilin_y [expr %g] \n',handles.ck_bilin);
        fprintf(fid,'set D_Plus_bilin_y [expr %g] \n',handles.Dp_bilin);
        fprintf(fid,'set D_Neg_bilin_y [expr %g] \n',handles.Dn_bilin);
        fprintf(fid,'set n_bilin_y [expr %g] \n',handles.n_bilin);
        fclose(fid);
    handles.mat_y='imk_mod_bilin_mat';
end
if ~isempty(handles.fy) & ~isempty(handles.deltay)
    if get(handles.radiobutton14,'value')==1
        set(handles.pushbutton27,'enable','on')
        set(handles.pushbutton24,'enable','off')
        set(handles.pushbutton31,'enable','off')
        set(handles.pushbutton30,'enable','off')
        set(handles.radiobutton6,'enable','on')
        set(handles.radiobutton11,'enable','on')
        set(handles.radiobutton12,'enable','on')
        set(handles.radiobutton10,'enable','on')
        set(handles.radiobutton7,'enable','on')
        set(handles.radiobutton6,'value',1)
        set(handles.radiobutton7,'value',0)
        set(handles.radiobutton11,'value',0)
        set(handles.radiobutton10,'value',0)
        set(handles.radiobutton12,'value',0)
        set(handles.pushbutton41,'enable','off')
    elseif get(handles.radiobutton14,'value')==0 
        if isempty(handles.flag_IMK_GUI_y) & isempty(handles.flag_Clough_GUI_y) & isempty(handles.flag_pinch4_y) & isempty(handles.flag_EH_GUI_y) & isempty(handles.flag_steel1_GUI_y) & isempty(handles.flag_IMK_GUI_bilin_y)
        set(handles.pushbutton27,'enable','off')
        set(handles.pushbutton24,'enable','off')
        set(handles.pushbutton31,'enable','off')
        set(handles.pushbutton30,'enable','off')
        set(handles.radiobutton6,'enable','off')
        set(handles.radiobutton11,'enable','off')
        set(handles.radiobutton12,'enable','off')
        set(handles.radiobutton10,'enable','off')
        set(handles.radiobutton7,'enable','off')
        set(handles.radiobutton6,'value',1)
        set(handles.radiobutton7,'value',0)
        set(handles.radiobutton11,'value',0)
        set(handles.radiobutton10,'value',0)
        set(handles.radiobutton12,'value',0)
        set(handles.pushbutton41,'enable','off')
        end
    end
end
handles1=handles;    