function [handles1]=fn_ST01_rout(handles)     
    
% fn_ST01_rout
%-------------------------------------
% DESCRIPTION:
% the function allows to set routine data when STEEL01 material is
% choosen
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
    handles.flag_cyclic=[];
    handles.flag_for_ida=[];
    handles.flag_for_msa=[];
    handles.flag_for_dyn=[];
    handles.flag_for_B2B=[];
    cla(handles.axes3)

    set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
    xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    axes(handles.axes3)
    xlim([0 1])
    ylim([0 1])
    grid on
    set(handles.pushbutton36,'visible','off')

    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi.tcl'],'wt');
    fprintf(fid,'set a1_st [expr %f] \n',handles.a1_st);
    fprintf(fid,'set a2_st [expr %f] \n',handles.a2_st);
    fprintf(fid,'set a3_st [expr %f] \n',handles.a3_st);
    fprintf(fid,'set a4_st [expr %f] \n',handles.a4_st);
    fclose(fid);
    handles.mat='steel1_mat';
if isempty(handles.mat_y)
    fid=fopen([pwd,'/osees/simplestSDOF/dati_Isteresi_y.tcl'],'wt');
    fprintf(fid,'set a1_st_y [expr %f] \n',handles.a1_st);
    fprintf(fid,'set a2_st_y [expr %f] \n',handles.a2_st);
    fprintf(fid,'set a3_st_y [expr %f] \n',handles.a3_st);
    fprintf(fid,'set a4_st_y [expr %f] \n',handles.a4_st);
    fclose(fid);
    handles.mat_y='steel1_mat';
end
if ~isempty(handles.fy) & ~isempty(handles.deltay)
    if get(handles.radiobutton14,'value')==1
        set(handles.pushbutton27,'enable','on')
        set(handles.pushbutton24,'enable','off')
        set(handles.pushbutton31,'enable','off')
        set(handles.pushbutton30,'enable','off')
        set(handles.radiobutton6,'enable','on')
        set(handles.radiobutton11,'enable','on')
        set(handles.radiobutton12,'enable','on')
        set(handles.radiobutton10,'enable','on')
        set(handles.radiobutton7,'enable','on')
        set(handles.radiobutton6,'value',1)
        set(handles.radiobutton7,'value',0)
        set(handles.radiobutton11,'value',0)
        set(handles.radiobutton10,'value',0)
        set(handles.radiobutton12,'value',0)
        set(handles.pushbutton41,'enable','off')
    elseif get(handles.radiobutton14,'value')==0 
        if isempty(handles.flag_IMK_GUI_y) & isempty(handles.flag_Clough_GUI_y) & isempty(handles.flag_pinch4_y) & isempty(handles.flag_EH_GUI_y) & isempty(handles.flag_steel1_GUI_y)
        set(handles.pushbutton27,'enable','off')
        set(handles.pushbutton24,'enable','off')
        set(handles.pushbutton31,'enable','off')
        set(handles.pushbutton30,'enable','off')
        set(handles.radiobutton6,'enable','off')
        set(handles.radiobutton11,'enable','off')
        set(handles.radiobutton12,'enable','off')
        set(handles.radiobutton10,'enable','off')
        set(handles.radiobutton7,'enable','off')
        set(handles.radiobutton6,'value',1)
        set(handles.radiobutton7,'value',0)
        set(handles.radiobutton11,'value',0)
        set(handles.radiobutton10,'value',0)
        set(handles.radiobutton12,'value',0)
        set(handles.pushbutton41,'enable','off')
        end
    end
end
handles1=handles;    