function [handles1]=fn_back_rout(handles)  
% fn_back_rout
%-------------------------------------
% DESCRIPTION:
% the function allows to reset plot backbone, setting other data useful to
% the right working of the GUI (set flag ecc ecc)
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
cla(handles.axes3)
set(handles.axes3,'YTicklabel',[0;0.2;0.4;0.6;0.8;1]);
set(handles.axes3,'XTicklabel',[0;0.2;0.4;0.6;0.8;1]);
xlabel(handles.axes3,'EDP','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
ylabel(handles.axes3,'S_a(g)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
axes(handles.axes3)
xlim([0 1])
ylim([0 1])
grid on
set(handles.pushbutton36,'visible','off')
handles.flag_cyclic=[];
handles.flag_for_ida=[];
handles.flag_for_msa=[];
handles.flag_for_dyn=[];
handles.flag_for_B2B=[];
cla(handles.axes3)
cla(handles.axes1)
handles.valPopUpMenu=get(handles.popupmenu1,'value');
axes(handles.axes1)
if get(handles.checkbox15,'value')==1
handles.flag_bil=handles.flag_bil_x;
[handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.mu_c_neg,handles.mu_f_neg] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.mu_c_neg,handles.mu_f_neg,handles.valPopUpMenu,1,handles.flag_bil);
set(handles.popupmenu2,'value',1)
else
handles.flag_bil=handles.flag_bil_y;
[handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.mu_c_neg_y,handles.mu_f_neg_y] = fn_plot_backbone(handles.fy_y,handles.deltay_y,handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.fy_neg_y,handles.mu_c_neg_y,handles.mu_f_neg_y,handles.valPopUpMenu,1,handles.flag_bil);    
set(handles.popupmenu2,'value',2)
end

if get(handles.radiobutton14,'value')==0  
    if isempty(handles.fy_y)
        handles.fy_y=handles.fy;
        handles.fy_neg_y=handles.fy_neg;
        handles.deltay_y=handles.deltay;
        handles.ah_y=handles.ah;
        handles.mu_c_y=handles.mu_c;
        handles.ac_y=handles.ac;
        handles.rp_y=handles.rp;
        handles.mu_f_y=handles.mu_f;
        handles.mu_c_neg_y=handles.mu_c_neg;
        handles.mu_f_neg_y=handles.mu_f_neg;
    end
    if isempty(handles.fy)
        handles.fy=handles.fy_y;
        handles.fy_neg=handles.fy_neg_y;
        handles.deltay=handles.deltay_y;
        handles.ah=handles.ah_y;
        handles.mu_c=handles.mu_c_y;
        handles.ac=handles.ac_y;
        handles.rp=handles.rp_y;
        handles.mu_f=handles.mu_f_y;
        handles.mu_c_neg=handles.mu_c_neg_y;
        handles.mu_f_neg=handles.mu_f_neg_y;
    end
    if handles.rp==0
        handles.rp=10^-12;              
    end
    if handles.rp_y==0
        handles.rp_y=10^-12;
    end
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati.tcl'],'wt');
    fprintf(fid,'set My [expr %g] \n',handles.fy);
    fprintf(fid,'set My_neg [expr %g] \n',handles.fy_neg);
    fprintf(fid,'set fi_y [expr %g] \n',handles.deltay);
    fprintf(fid,'set ah [expr %g] \n',handles.ah);
    fprintf(fid,'set mu_c [expr %g] \n',handles.mu_c);
    fprintf(fid,'set ac [expr %g] \n',-handles.ac);
    fprintf(fid,'set rp [expr %g] \n',handles.rp);
    fprintf(fid,'set mu_f [expr %g] \n',handles.mu_f);
    fprintf(fid,'set mu_c_neg [expr %g] \n',handles.mu_c_neg);
    fprintf(fid,'set mu_f_neg [expr %g] \n',handles.mu_f_neg);
    fprintf(fid,'set My_y [expr %g] \n',handles.fy_y);
    fprintf(fid,'set My_neg_y [expr %g] \n',handles.fy_neg_y);
    fprintf(fid,'set fi_y_y [expr %g] \n',handles.deltay_y);
    fprintf(fid,'set ah_y [expr %g] \n',handles.ah_y);
    fprintf(fid,'set mu_c_y [expr %g] \n',handles.mu_c_y);
    fprintf(fid,'set ac_y [expr %g] \n',-handles.ac_y);
    fprintf(fid,'set rp_y [expr %g] \n',handles.rp_y);
    fprintf(fid,'set mu_f_y [expr %g] \n',handles.mu_f_y);
    fprintf(fid,'set mu_c_neg_y [expr %g] \n',handles.mu_c_neg_y);
    fprintf(fid,'set mu_f_neg_y [expr %g] \n',handles.mu_f_neg_y);
    fclose(fid);
else
    if handles.rp==0
        handles.rp=10^-12;
    end
    fid=fopen([handles.pwd_opening,'/osees/simplestSDOF/dati.tcl'],'wt');
    fprintf(fid,'set My [expr %g] \n',handles.fy);
    fprintf(fid,'set My_neg [expr %g] \n',handles.fy_neg);
    fprintf(fid,'set fi_y [expr %g] \n',handles.deltay);
    fprintf(fid,'set ah [expr %g] \n',handles.ah);
    fprintf(fid,'set mu_c [expr %g] \n',handles.mu_c);
    fprintf(fid,'set ac [expr %g] \n',-handles.ac);
    fprintf(fid,'set rp [expr %g] \n',handles.rp);
    fprintf(fid,'set mu_f [expr %g] \n',handles.mu_f);
    fprintf(fid,'set mu_c_neg [expr %g] \n',handles.mu_c_neg);
    fprintf(fid,'set mu_f_neg [expr %g] \n',handles.mu_f_neg);
    fclose(fid);
end
val='off';
set(handles.checkbox6,'enable',val)
set(handles.checkbox7,'enable',val)
set(handles.checkbox10,'enable',val)
set(handles.radiobutton20,'enable',val)
set(handles.radiobutton21,'enable',val)
set(handles.radiobutton22,'enable',val)
set(handles.radiobutton23,'enable',val)
set(handles.radiobutton24,'enable',val)
set(handles.radiobutton25,'enable',val)
set(handles.radiobutton26,'enable',val)
set(handles.radiobutton27,'enable',val)
handles1=handles;