function [Mean_spectral_acc,Sa,T_int] =fn_build_spectra(path_,filename,nameSPECTRA,flag,damp)   
% fn_build_spectra
%-------------------------------------
% DESCRIPTION:
% the function allows build and plot elastic spectra for .AT2 records 
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% path_:        Path of the folder containing .mat structure
% filename:     Records filename vector;
% nameSPECTRA:  File within spectra .mat structure is contained;
%-------------------------------------
% OUTPUT:
%-------------------------------------
% Mean_spectra:    Mean spectra in lognormal space;
% Sa:              Matrix containing spectral accelleration for each record at T_int periods;
% T_int:           Periods vector 0:0.001:4 ;
% flag:            0 for build starting from records, 1 for build starting
%                  from existing Acc and dt

if nargin<2
    flag=1;
end
if flag==0
    per=strsplit(path_,'osees');
    per=[per{1},'osees\records\'];
    cd(per)
    for i=1:length(filename)
            [Acc{i},dt{i},NPTS{i}] =parseAT2_all(filename{i});
           str=['Building spectra(damp= ',num2str(damp),'%',')for record: ',filename{i},'  ',num2str(i),'/',num2str(length(filename))];
            disp(str)
            [T{i},Spa{i},Spv{i},Sd{i}]=spectra(dt{i},Acc{i},damp,1,5);
            pga(i)=max(abs(Acc{i}));
    end
    %     save(nameSPECTRA,'filename','-append')
%     save(nameSPECTRA,'T_int','-append')
%     save(nameSPECTRA,'Sa','-append')
else
    load([path_,'\',nameSPECTRA,'.mat']);
    for i=1:length(filename)
      str=['Building spectra(damp= ',num2str(damp),'%',')for record: ',filename{i},'  ',num2str(i),'/',num2str(length(filename))];
      disp(str)
      [T{i},Spa{i},Spv{i},Sd{i}]=spectra(rinfo_{i}.dt,rinfo_{i}.acc,damp,1,5);
    end
end
    T_int=0:0.001:4;
    clear Sa
    for i=1:length(filename)
        i
        Sa(:,i)=interp1(T{i},Spa{i},T_int);
    end
Mean_spectral_acc=mean(log(Sa'));

% figure;
% plot(T_int,Sa,'color',[.5 .5 .5],'linewidth',1)
% hold on
% plot(T_int,exp(Mean_spectra),'--','color','k','linewidth',3)
% h= get(gca,'Children');
% v=[h(1) h(end)];
% l= legend(v,'Mean Spectra','Individual spectra');
% grid on
% xlabel('T [s]','FontSize',10,'FontName','Times New Roman')
% ylabel('S_a [g]','FontSize',10,'FontName','Times New Roman')
% xlim([0 4])
