function [dvalues_act,svalues_act]=fn_check_EDP_IM_mu_r_msa_1dir(msa,EDP_flag,dy_val,sy_val,flag_no_sc)   
% fn_check_EDP_IM_mu_r_msa_1dir
%-------------------------------------
% DESCRIPTION:
% In the modified msa structure for a bidimensional SDOF system (see
% simplestSDOF_2dir.tcl) this function set active IM and EDP
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% msa:            msa structure from trace_IDA
% EDP_flag:       1 for disp max_x, 2 for disp_max_y, 3 for max_res_x, 4
%                 for max_res_y, 5 for max disp along 2 dir, 6 for max residual disp
%                 along 2 direction, 7 for quadratic combination between displacements,
%                 8 for quadratic combination between residual disp
% dy_val,sy_val   Yielding point (displacement ad accellaration)
% flag_no_sc:  If it is = 1 a Cloud analysis has been performed, so
%              structure is not a matrix but a vector (EDP,IM)
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% dvalues_act,svalues_act:  results from traceIDA, active EDP and IM 
%--------------------------------------------------------------------------

if flag_no_sc~=1
    svalues_act=msa.IM/sy_val(1); 
    if   EDP_flag==1 || EDP_flag==3
                dvalues_act=msa.EDP/dy_val(1);  
    elseif EDP_flag==2 || EDP_flag==4
                dvalues_act=msa.EDP_res_x/dy_val(1);  
    else
                dvalues_act=msa.EDP/dy_val(1);
    end
else
    svalues_act=msa.IM_cl/sy_val(1); 
    if   EDP_flag==1 || EDP_flag==3
                dvalues_act=msa.EDP_cl/dy_val(1);  
    elseif EDP_flag==2 || EDP_flag==4
                dvalues_act=msa.EDP_res_x_cl/dy_val(1);  
    else
                dvalues_act=msa.EDP_cl/dy_val(1);
    end
end