function [flag,str_mod]=fn_check_for_bil(str_,dir_)  
% fn_check_for_bil
%-------------------------------------
% DESCRIPTION:
% the function checks if the backbone parameters form a bilinear backbone
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% str_: structure containing backbone parameters. If only fy,delta y and
%       ah are numeric values so the backbone is bilinear
% dir:  Direction of backbone
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% flag: 1 for bilinear, 0 otherwise 
% str_mod: Structure modified for Osees
%--------------------------------------------------------------------------
if nargin<2
    dir_='x';
end
str_mod=str_;
if strcmp(dir_,'x')
    if isempty(str_.mu_c) & isempty(str_.ac) & isempty(str_.rp) & isempty(str_.mu_f) & ~isempty(str_.fy) & ~isempty(str_.deltay) & ~isempty(str_.ah)
        fy=str_.fy;
        deltay=str_.deltay;
        ah=str_.ah;
        vec=struct('fy',fy,'deltay',deltay,'ah',ah);
        flag_2=fn_Check_variables(vec);
            if flag_2==1
                return
            end
        str_mod.mu_c=50;
        str_mod.ac=15;
        str_mod.rp=0;
        str_mod.mu_f=50.01;
        str_mod.mu_c_neg=50;
        str_mod.mu_f_neg=50.01;
        flag=1;
    else
        flag=0;
    end
else
    if isempty(str_.mu_c_y) & isempty(str_.ac_y) & isempty(str_.rp_y) & isempty(str_.mu_f_y) & ~isempty(str_.fy_y) & ~isempty(str_.deltay_y) & ~isempty(str_.ah_y)
        fy_y=str_.fy_y;
        deltay_y=str_.deltay_y;
        ah_y=str_.ah_y;
        vec=struct('fy_y',fy_y,'deltay_y',deltay_y,'ah_y',ah_y);
        flag_2=fn_Check_variables(vec);
            if flag_2==1
                return
            end
        str_mod.mu_c_y=50;
        str_mod.ac_y=15;
        str_mod.rp_y=0;
        str_mod.mu_f_y=50.01;
        str_mod.mu_c_neg_y=50;
        str_mod.mu_f_neg_y=50.01;
        flag=1;
    else
        flag=0;
    end
end
