function [handles1]=fn_delta_R(handles)   
% fn_delta_R
%-------------------------------------
% DESCRIPTION:
% the function allows to plot in R-mu coordinates
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
        set(handles.edit28,'string','')
        set(handles.edit29,'string','')
        set(handles.edit30,'string','')
        set(handles.edit31,'string','')
if isempty(handles.flag_for_pushREAD) && isempty(handles.fy) && isempty(handles.deltay)
    grid on
else
    if get(handles.popupmenu2,'value')==1
        handles.flag_bil=handles.flag_bil_x;
        [handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.mu_c_neg,handles.mu_f_neg,[get(handles.popupmenu1,'value')],1,handles.flag_bil);
    else
        handles.flag_bil=handles.flag_bil_y;
        [handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y] = fn_plot_backbone(handles.fy_y,handles.deltay_y,handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.fy_neg_y,handles.mu_c_neg_y,handles.mu_f_neg_y,[get(handles.popupmenu1,'value')],1,handles.flag_bil);
    end
end
if get(handles.radiobutton14,'value')~=1
    if isempty(handles.T)==0
        sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
        say=(handles.fy_y/(handles.T_y^2/(4*pi^2)*(handles.fy_y/handles.deltay_y)))/9.81;
    end
end
if isempty(handles.flag_for_ida)
else
    cd([handles.pwd_opening,'\osees\simplestSDOF']);
    % handles.nameIDA=getappdata(0,'nameIDA');
    if exist([handles.nameIDA,'.mat'])==0
        h=warndlg('File containing IDA does not exist!','Warning');
        warning('File containing IDA does not exist!');
        waitfor(h)
        return
    else
    ida=load([handles.nameIDA,'.mat']);
    name=handles.nameIDA;
    end
    if handles.T_2_tint>4
        handles.T_2_tint=4;
    end
   cla(handles.axes3)
    axes(handles.axes3)
    if get(handles.radiobutton14,'value')==1     
%         [get(handles.popupmenu1,'value')]
        infEDP_lim=[handles.infEDP,handles.infdr];
         [handles.sa_range,~,handles.cv_IDA,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag(ida,handles.pwd_opening,1,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,handles.fitcode,[get(handles.popupmenu1,'value')],handles.T_2_tint,handles.damp_2_tint,1,handles.EDP_choosen);
        cd(handles.pwd_opening)    
    else
        % yielding displacement and accelleration
%                 sax=(handles.fy/(handles.T^2/(4*pi^2)*(handles.fy/handles.deltay)))/9.81;
%                 say=(handles.fy_y/(handles.T_y^2/(4*pi^2)*(handles.fy_y/handles.deltay_y)))/9.81;
        y_val=[handles.deltay,handles.deltay_y,sax,say];
        infEDP_lim=[handles.infEDP,handles.infdr];
%         [get(handles.popupmenu1,'value')]
         [handles.sa_range,~,handlescv_IDA,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag_2dir(ida,handles.pwd_opening,y_val,[],handles.Nvals,infEDP_lim,handles.relaxNaNs,handles.fitcode,[get(handles.popupmenu1,'value')],handles.T_2_tint,handles.damp_2_tint,handles.IM_choosen,handles.EDP_choosen);
        cd(handles.pwd_opening)
    end
end
        % handles.flag_cyclic=getappdata(0,'flag_cyclic');
        if ~isempty(handles.flag_cyclic) | ~isempty(handles.flag_for_dyn)
            lim=handles.mu_f*handles.deltay;
            cd(handles.pwd_opening)
            cla(handles.axes3)
            axes(handles.axes3)
            if get(handles.popupmenu2,'value')==1
              [~,~,~,~,~] = fn_plot_backbone(handles.fy,handles.deltay,handles.ah,handles.mu_c,handles.ac,handles.rp,handles.mu_f,handles.fy_neg,handles.mu_c_neg,handles.mu_f_neg,[get(handles.popupmenu1,'value')],0,handles.flag_bil);
               hold on
              [h]=fn_plot_cyclic(handles.pwd_opening,lim,[get(handles.popupmenu1,'value')],handles.fy,handles.deltay,handles.fy_neg,1,handles.cyc);           
            else
               [~,~,~,~,~] = fn_plot_backbone(handles.fy_y,handles.deltay_y,handles.ah_y,handles.mu_c_y,handles.ac_y,handles.rp_y,handles.mu_f_y,handles.fy_neg_y,handles.mu_c_neg_y,handles.mu_f_neg_y,[get(handles.popupmenu1,'value')],0,handles.flag_bil);    
               hold on
               [h]=fn_plot_cyclic(handles.pwd_opening,lim,[get(handles.popupmenu1,'value')],handles.fy_y,handles.deltay_y,handles.fy_neg_y,2,handles.cyc);
               
            end
            set(gca,'children',flipud(get(gca,'children')))
            if handles.flag_bil==0
                fn_set_axis_limit(gca)
            end
        end


        % handles.flag_for_msa=getappdata(0,'flag_for_msa');
        % handles.nameMSA=getappdata(0,'nameMSA');
        if ~isempty(handles.flag_for_msa)
            if exist([handles.pwd_opening,'\osees\simplestSDOF\',handles.nameMSA,'.mat'])~=0
            data_=load([handles.pwd_opening,'\osees\simplestSDOF\',handles.nameMSA,'.mat']);
            cd(handles.pwd_opening)
            cla(handles.axes3)
            axes(handles.axes3)
            if get(handles.radiobutton14,'value')==1 
%                 [data_.EDP]=fn_checkEDP_MSA(data_.EDP,handles.mu_f,handles.delta_y);
%                 [data_.EDP_res_x]=fn_checkEDP_MSA(data_.EDP_res_x,handles.mu_f,handles.delta_y);
                disp_lim=handles.disp_lim;
                fy=handles.fy;
                fy_neg=handles.fy_neg;
                deltay=handles.deltay;
                fy_min=min(abs(fy_neg),fy);
                k=fy/deltay;
                mass=handles.T^2/(4*pi^2)*k;
                [handles.EDP_act]=fn_plotMSA(data_,handles.infEDP,handles.T,handles.damp,1,get(handles.popupmenu1,'value'),fy_min,mass,handles.deltay,data_.per,data_.zeta,handles.EDP_choosen,disp_lim,handles.check_no_sc);
            else
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                fy_min_x=min(abs(handles.fy_neg),handles.fy);
                fy_min_y=min(abs(handles.fy_neg_y),handles.fy_y);
                kx=handles.fy/handles.deltay;
                mass_x=handles.T^2/(4*pi^2)*kx;
                ky=handles.fy_y/handles.deltay_y;
                mass_y=handles.T_y^2/(4*pi^2)*ky;
                if isempty(handles.disp_lim)
                    [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,0,[get(handles.popupmenu1,'value')],fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,handles.per_for_sa,handles.zeta_for_sa,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
                else
                    [handles.EDP_act]=fn_plotMSA_2dir(data_,handles.infEDP,1,[get(handles.popupmenu1,'value')],fy_min_x,fy_min_y,mass_x,mass_y,handles.deltay,handles.deltay_y,handles.per_for_sa,handles.zeta_for_sa,data_.direction_IM,handles.EDP_choosen,handles.disp_lim,handles.check_no_sc);
                end
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
            end
            end
        end
        if ~isempty(handles.flag_for_B2B)
            if exist([handles.pwd_opening,'\osees\simplestSDOF\',handles.nameB2B,'.mat'])~=0
                data_=load([handles.pwd_opening,'\osees\simplestSDOF\',handles.nameB2B,'.mat']);
                cd(handles.pwd_opening)
                cla(handles.axes3)
                axes(handles.axes3)
                infEDP_lim=[handles.infEDP,handles.infdr];
                [handles.sa_range,~,handles.cv_B2B,handles.drval,infEDP_mod,handles.saval,handles.dr_range]=run_IDA_plot_NoSpo2frag(data_,handles.pwd_opening,handles.deltay,[],handles.Nvals_B2B,infEDP_lim,handles.relaxNaNs_B2B,handles.fitcode_B2B,[get(handles.popupmenu1,'value')],handles.T_2_tint_B2B,handles.damp_2_tint_B2B,1,handles.EDP_choosen);
                clear data_
            end
        end
handles1=handles;