function fn_jointdata_MSA(pwd_opening,nameMSA,Sa_targ,per,zeta,flag_no_sc)
% Function fn_jointdata_MSA
%-------------------------------------
% DESCRIPTION:
% the function allows to joint n (length Sa_targ) matlab structure in one
% starting from IDA structure (by Vamvatsikos)
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% pwd_opening: path where main GUI is located
% nameMSA:     structure name;
% Sa_targ:     Sa where EDP stripes are been evaluated
% per,zeta:    Period and damping for IM evaluation
% flag_no_sc:  If it is = 1 a Cloud analysis has been performed, so
%              structure is not a matrix but a vector (EDP,IM)
%-------------------------------------
if nargin<6
    flag_no_sc=0;
end
if flag_no_sc==0
    if ~isempty(Sa_targ)
        for i=1:length(Sa_targ)
            load([pwd_opening,'\osees\simplestSDOF\',nameMSA,'_',num2str(Sa_targ(i)),'.mat'])
            struc.EDP(i,:)=cell2mat(dvalues);
            struc.EDP_res_x(i,:)=cell2mat(max_res_x);
            struc.IM(i,:)=Sa_targ(i);
            struc.thfilename(i,:)=thfilename;
            struc.record_psaxy(i,:)=record_psaxy;
            struc.record_saxy(i,:)=record_saxy;
            struc.scale_fact(i,:)=scale_fact;
        end
    end
else
    for i=1:length(Sa_targ)
            load([pwd_opening,'\osees\simplestSDOF\',nameMSA,'_',num2str(Sa_targ(i)),'.mat'])
            struc.EDP(i,:)=cell2mat(dvalues);
            struc.EDP_res_x(i,:)=cell2mat(max_res_x);
            struc.IM(i,:)=cell2mat(svalues);
            struc.thfilename(i,:)=thfilename;
            struc.record_psaxy(i,:)=record_psaxy;
            struc.record_saxy(i,:)=record_saxy;
    end
     struc.EDP_cl=struc.EDP';
     struc.EDP_cl=struc.EDP_cl(:);
     struc.EDP_res_x_cl=struc.EDP_res_x';
     struc.EDP_res_x_cl=struc.EDP_res_x_cl(:);
     struc.IM_cl=struc.IM';
     struc.IM_cl=struc.IM_cl(:);
     struc.record_psaxy=struc.record_psaxy';
     struc.record_psaxy=struc.record_psaxy(:);
     struc.record_saxy=struc.record_saxy';
     struc.record_saxy=struc.record_saxy(:);
end
    struc.zeta=zeta;
    struc.per=per;
    
    delete([pwd_opening,'\osees\simplestSDOF\',nameMSA,'*','.mat'])
    delete([pwd_opening,'\osees\simplestSDOF\','tempsave_',nameMSA,'*','.mat'])
    save([pwd_opening,'\osees\simplestSDOF\',nameMSA,'.mat'],'-struct','struc')