function fn_jointdata_MSA_2dir(pwd_opening,nameMSA,Sa_targ,per,zeta,direction,flag_no_sc)
% Function fn_jointdata_MSA_2dir
%-------------------------------------
% DESCRIPTION:
% the function allows to joint n (length Sa_targ) matlab structure in one
% starting from IDA structure (by Vamvatsikos)
% 
%-------------------------------------
% INPUT:
%-------------------------------------
% pwd_opening: path where main GUI is located
% nameMSA:     structure name;
% Sa_targ:     Sa where EDP stripes are been evaluated
% per,zeta:    Period and damping for IM evaluation
% direction:   Direction in correspondence of IM has been evaluated
%-------------------------------------
if flag_no_sc==0
    if ~isempty(Sa_targ)
        for i=1:length(Sa_targ)
            load([pwd_opening,'\osees\simplestSDOF\',nameMSA,'_',num2str(Sa_targ(i)),'.mat'])
            struc.record_psaxy(i,:)=record_psaxy;
            struc.record_saxy(i,:)=record_saxy;
            struc.EDP_d_x(i,:)=cell2mat(dvalues);
            struc.EDP_d_y(i,:)=cell2mat(dvalues_y);
            struc.EDP_d_max(i,:)=cell2mat(dvalues_max);
            struc.EDP_d_quadmax(i,:)=cell2mat(dvalues_quadmax);
            struc.EDP_res_x(i,:)=cell2mat(max_res_x);
            struc.EDP_res_y(i,:)=cell2mat(max_res_y);
            struc.EDP_res_quad(i,:)=cell2mat(max_res_quad);
            struc.EDP_res_max(i,:)=cell2mat(max_res_max);
            struc.IM(i,:)=Sa_targ(i);
            struc.thfilename(i,:)=thfilename;
            struc.scale_fact(i,:)=scale_fact';
        end
    end
else
    for i=1:length(Sa_targ)
            load([pwd_opening,'\osees\simplestSDOF\',nameMSA,'_',num2str(Sa_targ(i)),'.mat'])
            struc.record_psaxy(i,:)=record_psaxy;
            struc.record_saxy(i,:)=record_saxy;
            struc.EDP_d_x(i,:)=cell2mat(dvalues);
            struc.IM(i,:)=cell2mat(svalues);
            struc.EDP_d_y(i,:)=cell2mat(dvalues_y);
            struc.EDP_d_max(i,:)=cell2mat(dvalues_max);
            struc.EDP_d_quadmax(i,:)=cell2mat(dvalues_quadmax);
            struc.EDP_res_x(i,:)=cell2mat(max_res_x);
            struc.EDP_res_y(i,:)=cell2mat(max_res_y);
            struc.EDP_res_quad(i,:)=cell2mat(max_res_quad);
            struc.EDP_res_max(i,:)=cell2mat(max_res_max);
    end
     struc.EDP_d_x_cl=struc.EDP_d_x';
     struc.EDP_d_x_cl=struc.EDP_d_x_cl(:);
     struc.EDP_d_y_cl=struc.EDP_d_y';
     struc.EDP_d_y_cl=struc.EDP_d_y_cl(:);
     struc.EDP_d_max_cl=struc.EDP_d_max';
     struc.EDP_d_max_cl=struc.EDP_d_max_cl(:);
     struc.EDP_d_quadmax_cl=struc.EDP_d_quadmax';
     struc.EDP_d_quadmax_cl=struc.EDP_d_quadmax_cl(:);
     struc.EDP_res_x_cl=struc.EDP_res_x';
     struc.EDP_res_x_cl=struc.EDP_res_x_cl(:);
     struc.EDP_res_y_cl=struc.EDP_res_y';
     struc.EDP_res_y_cl=struc.EDP_res_y_cl(:);
     struc.IM_cl=struc.IM';
     struc.IM_cl=struc.IM_cl(:);
     struc.EDP_res_quad_cl=struc.EDP_res_quad';
     struc.EDP_res_quad_cl=struc.EDP_res_quad_cl(:);
     struc.EDP_res_max_cl=struc.EDP_res_max';
     struc.EDP_res_max_cl=struc.EDP_res_max_cl(:);
     struc.record_psaxy=struc.record_psaxy';
     struc.record_psaxy=struc.record_psaxy(:);
     struc.record_saxy=struc.record_saxy';
     struc.record_saxy=struc.record_saxy(:);
end

struc.zeta=zeta;
struc.per=per;
struc.direction_IM=direction;
delete([pwd_opening,'\osees\simplestSDOF\',nameMSA,'*','.mat'])
delete([pwd_opening,'\osees\simplestSDOF\','tempsave_',nameMSA,'*','.mat'])
save([pwd_opening,'\osees\simplestSDOF\',nameMSA,'.mat'],'-struct','struc')