function [d1,F1,mu_c_neg,mu_f_neg] = fn_negative_back(ah,mu_c,ac,rp,mu_f,mu_c_neg,mu_f_neg,flag_fo_bil,d,F)

% Function fn_plotread2
%-------------------------------------
% DESCRIPTION:
% the function allows plotting all types of linearized curve 
% 
%-------------------------------------
% INPUT:
%-------------------------------------

% ah:         ratio between hardening slope and elastic slope;
% mu_c:       mu at the end of hardening slope; 
% ac:         ratio between negative (capping) slope and elastic slope;
% rp:         Residual plateau height, a fraction of Fy;
% mu_f:       fracturing mu (deltay * mu_f is the end of SPO);
% mu_c_neg:   Negative mu at the end of hardening slope; 
% mu_f_neg:   Negative fracturing mu (deltay * mu_f is the end of SPO);
% d:          Backbone in positive direction
%-------------------------------------
% OUTPUT:
%-------------------------------------
% [dl,Fl]:    Linearized curve in negative direction

if abs(mu_c)==abs(mu_c_neg) & abs(mu_f)==abs(mu_f_neg)
    d1=d;
    F1=F;
else
        F(1)=0;
        d(1)=0;
        %%%
        F(2)=1;
        d(2)=1;
        if flag_fo_bil==0
        %%%
        d(3)=mu_c_neg;
        F(3)=ah*(mu_c_neg-1)+1;

            if isempty(rp) || rp<0.00000001 & rp>-0.00000001 
                if ~isempty(ac) & ac~=0 & mu_f_neg>=((ac*mu_c_neg+F(3))/ac)
                d(4)=(ac*mu_c_neg+F(3))/ac;
                F(4)=0;      
                mu_f_neg=d(4);
                elseif ~isempty(ac) & ac~=0 & mu_f_neg<((ac*mu_c_neg+F(3))/ac)
                d(4)=mu_f_neg;
                d(5)=mu_f_neg;
                F(4)=-ac*(mu_f_neg-mu_c_neg)+F(3);      
                F(5)=0;
                elseif ~isempty(ac) & ac==0
                mu_c_neg=mu_f_neg;
                d(3)=mu_f_neg;
                d(4)=mu_f_neg;
                F(4)=F(3); 
                else      
                d(4)=mu_f_neg;
                F(4)=0;
                ac=F(3)/(mu_f_neg-mu_c_neg);
                end
            else
            %%%
            d(4)=(F(3)-rp)/(ac)+mu_c_neg;
            if d(4)<=mu_f_neg
                F(4)=rp;
                %%%
                d(5)=mu_f_neg;
                F(5)=F(4);
                %%%
                d(6)=mu_f_neg;
                F(6)=0;
                if isequal((d(4)-d(5)),0)
                    errordlg('Backbone parameters are not compatible with each other, please check data','Error');
                    error('Backbone parameters are not compatible with each other')
                end
            else
                d(4)=mu_f_neg;
                F(4)=-ac*(mu_f_neg-d(3))+F(3);
                d(5)=d(4);
                F(5)=0;
                rp=0;
            end

            end
        else
        d(3)=10^5;
        F(3)=ah*(d(3)-1)+1;
        end
        d1=d;
        F1=F;
end