function [h]=fn_plot_Spectra(T_int,Sa,Mean_spectra,vv,fl_bi)
% fn_plot_Spectra
%-------------------------------------
% DESCRIPTION:
% Plot Elastic Spectra
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% T_int:          Period (one for all records)
% Sa:             Spectral accelleration
% vv:             Damping
% fl_bi:          0 considering records in the same direction, 1 for x and
%                 y (odd numbers for x, even numbers for y)
%--------------------------------------------------------------------------

if nargin <5
    fl_bi=0;
end
if fl_bi==0
    plot(T_int,Sa,'color',[.5 .5 .5],'linewidth',1)
    hold on
    plot(T_int,exp(Mean_spectra),'--','color','k','linewidth',3)
    h= get(gca,'Children');
    v=[h(1) h(end)];
    l= legend(v,'Mean Spectrum','Individual Spectrum');
    grid on
    xlabel('T [s]','FontSize',10,'FontName','Times New Roman')
    stry = sprintf('Sa (v= %s %%) (g)', num2str(vv*100));
    ylabel(stry,'FontSize',10,'FontName','Times New Roman')
    xlim([0 4])
else
    Sa_x=Sa(:,1:2:end);
    Sa_y=Sa(:,2:2:end);
    plot(T_int,Sa_x,'color',[.5 .5 .5],'linewidth',1)
    hold on
    plot(T_int,Sa_y,'color','c','linewidth',1)
    hold on
    plot(T_int,exp(mean(log(Sa_x'))),'--','color','r','linewidth',3)
    hold on
    plot(T_int,exp(mean(log(Sa_y'))),'--','color','b','linewidth',3)
    hold on
    plot(T_int,exp(Mean_spectra),'--','color','k','linewidth',3)
    h= get(gca,'Children');
    v=[h(3+length(Sa(1,:))),h(3+length(Sa(1,:))-1-length(Sa_x(1,:))),h(3),h(2),h(1)];
    l= legend(v,'Individual Spectrum X dir.','Individual Spectrum Y dir.','Mean Spectrum X dir','Mean Spectrum Y dir','Mean Spectrum GLOBAL');
    grid on
    xlabel('T [s]','FontSize',10,'FontName','Times New Roman')
    stry = sprintf('Sa (v= %s %%) (g)', num2str(vv*100));
    ylabel(stry,'FontSize',10,'FontName','Times New Roman')
    xlim([0 4])
    
end