function [h]=fn_plot_cyclic(perc,lim,flag,fy,dy,fy_neg,dir,valsave)
if nargin<8
    valsave=[];
end

dy_neg=abs(dy*fy_neg/fy);
fy_neg=abs(fy_neg);

if isempty(valsave)
    a=load([perc,'/osees/simplestSDOF/','Disp.out']);
    b=load([perc,'/osees/simplestSDOF/','Force.out']);
else
    a=valsave.disp;
    b=valsave.force;
end
if dir==2
    b=-b(:,5);
    a=a(:,5);
else
    b=-b(:,2);
    a=a(:,2);
end
if flag==2

    hold on
    plot(a,b,'LineWidth',1.5,'Color',[.5 .5 .5])
    xlabel('Displacement (m)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel('Force (kN)','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
     h=get(gcf,'CurrentAxes');

else
%     b=-b(:,2);
%     a=a(:,2);
    for i=1:length(b)
        if a(i)<0
            a(i)=a(i)./dy_neg;
        else
            a(i)=a(i)./dy;
        end
        
        if b(i)<0
            b(i)=b(i)./fy_neg;
        else
            b(i)=b(i)./fy;
        end 
    end
    hold on
    plot(a,b,'LineWidth',1.5,'Color',[.5 .5 .5])
    xlabel('\mu','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    ylabel('R','FontWeight','normal','FontSize',10,'FontName','Times New Roman')
    h=get(gcf,'CurrentAxes');
end

xlim([min(a)*1.2,max(a)*1.2])
ylim([min(b)*1.2,max(b)*1.2])
set(gca,'fontsize',10)