function [handles1]=fn_reset_handles(handles,flag_for_mat,dir)   
% fn_reset_handles
%-------------------------------------
% DESCRIPTION:
% the function allows to reset handles when a new analysis or a new
% material or a new backbone are to be set
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% handles: Structure containing all available data 
% flag_for_mat: 1 for Clough, 2 for Pinch4, 3 for IMK and 4 for EH, 5 for Steel01 and 6 for IMK bilin
%               If is empty than no one material has been set while for each other value no one 
%               handles is set to 0
% dir:          X or Y
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% handles1: Modified handles structure 
%--------------------------------------------------------------------------
if nargin<3
    dir='X';
end
if nargin<2
    flag_for_mat=[];
    dir='X';
end
        set(handles.edit28,'string','')
        set(handles.edit29,'string','')
        set(handles.edit30,'string','')
        set(handles.edit31,'string','')
if isempty(handles.flag_for_ida)
%         handles.infdr=[];
        handles.relaxNaNs=[];
        handles.fitcode=[];
        handles.Nvals=[];
		handles.thfilename_IDA=[];
		handles.maxrpr=[];
		handles.iniSa=[];
		handles.incSa=[];
		handles.Th_drift=[];
		handles.Th_Sa=[];
		handles.flag_for_ida=[];
		handles.nameIDA=[];
		handles.filename_new_IDA=[];
        handles.T_2_tint=[];
        handles.damp_2_tint=[];
        handles.anlsdir=[];
		handles.IM_choosen=[];
        handles.h_plot_IM_lim=[];
%         handles.EDP_choosen=[];
		handles.cv_IDA=[];
		handles.IM_stripe=[];
        handles.EDP_stripe=[];
		handles.lim_=[];
        handles.lim_edp=[];
        handles.ida=[];
end
if isempty(handles.flag_cyclic) 
        handles.numCyc=[]; 
		handles.Peak=[];
		handles.flag_cyclic=[];
        handles.cyc=[];
        handles.peakpts=[];
        handles.peakpts_=[];
        str_.pushbutton43=handles.pushbutton43;
        str_.pushbutton46=handles.pushbutton46;
        str_.pushbutton47=handles.pushbutton47;
        fn_handl_visib(str_)
end
if isempty(handles.flag_for_dyn)
        handles.flag_for_dyn=[];
		handles.filename_new=[];
% 		handles.thfilename=[];
		handles.scale_fact=[];
        handles.flag_for_record_MSA=[];
        handles.Record_used_dyn=[];
        handles.filename_dyn=[];
        handles.Record_used_dyn_y=[];
        handles.filename_dyn_y=[];
        str_.pushbutton43=handles.pushbutton43;
        str_.pushbutton46=handles.pushbutton46;
        fn_handl_visib(str_)
end
if isempty(handles.flag_for_msa)
        handles.Matr_rec=[];
		handles.Sa_targ=[]; 
		handles.num_rec_MSA=[];
		handles.per_for_sa=[];
		handles.zeta_for_sa=[];
		handles.disp_lim=[];
		handles.nameMSA=[];
		handles.flag_for_msa=[];
		handles.nameMSA=[];
        handles.tableMSA=[];
        handles.EDP_MSA=[];
        handles.msa=[];
        handles.peakpts=[];
        handles.peakpts_=[];
        handles.EDP_act=[];
        handles.PathName_MSA=[];
        handles.check_no_sc=[];
        str_.pushbutton43=handles.pushbutton43;
        str_.pushbutton46=handles.pushbutton46;
        str_.pushbutton47=handles.pushbutton47;        
        fn_handl_visib(str_)
end
if isempty(handles.flag_for_B2B)
        %B2B IDA:
% 		handles.infdr_B2B=[];
        handles.relaxNaNs_B2B=[];
        handles.fitcode_B2B=[];
        handles.Nvals_B2B=[];
		handles.B2B.thfilename=[];
		handles.maxrpr_B2B=[];
		handles.iniSa_B2B=[];
		handles.incSa_B2B=[];
		handles.Th_drift_B2B=[];
		handles.Th_Sa_B2B=[];
		handles.flag_for_B2B=[];
		handles.nameB2B=[];
		handles.filename_new_B2B=[];
		handles.thfilename_B2B=[];
		handles.T_2_tint_B2B=[];
        handles.damp_2_tint_B2B=[];
		handles.disp_2_scale_B2B=[];
		handles.filename_new_Dyn_B2B=[];
		handles.thfilename_Dyn_B2B=[];
        handles.PathName_DYN=[];
        handles.ind_for_B2B_rec=[];
        handles.cv_B2B=[];
        handles.flag_for_noSam=[];
end
if isempty(handles.flag_for_ida) & isempty(handles.flag_for_B2B)
    handles.infdr=[];
    handles.saval=[];
    handles.dr_range=[];
    handles.h_plot_IM_lim=[];
    handles.sa_range=[];
    handles.drval=[];
end
if isempty(handles.flag_for_ida) & isempty(handles.flag_for_msa) & isempty(handles.flag_for_B2B)
    handles.EDP_choosen=[];
end
if strcmp(dir,'X')
    if flag_for_mat==1
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            %MODIFIED IMK:
            handles.Dp=[];
            handles.Dn=[];
            handles.flag_IMK_GUI=[];
            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[]; 
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
    elseif flag_for_mat==2
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls=[];
            handles.lc=[];
            handles.la=[];
            handles.lk=[];
            handles.cs=[];
            handles.cc=[];
            handles.ca=[];
            handles.ck=[];
            handles.Dp=[];
            handles.Dn=[]; 
            handles.flag_IMK_GUI=[];
            handles.flag_Clough_GUI=[];

            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[];
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
    elseif flag_for_mat==3
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            handles.flag_Clough_GUI=[];
            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[];
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
       elseif flag_for_mat==4
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls=[];
            handles.lc=[];
            handles.la=[];
            handles.lk=[];
            handles.cs=[];
            handles.cc=[];
            handles.ca=[];
            handles.ck=[];
            handles.Dp=[];
            handles.Dn=[]; 
            handles.flag_IMK_GUI=[];
            handles.flag_Clough_GUI=[];
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
    elseif flag_for_mat==5
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            handles.flag_Clough_GUI=[];     
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls=[];
            handles.lc=[];
            handles.la=[];
            handles.lk=[];
            handles.cs=[];
            handles.cc=[];
            handles.ca=[];
            handles.ck=[];
            handles.Dp=[];
            handles.Dn=[]; 
            handles.flag_IMK_GUI=[];
            handles.flag_Clough_GUI=[];
            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
    elseif flag_for_mat==6
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls=[];
            handles.lc=[];
            handles.la=[];
            handles.lk=[];
            handles.cs=[];
            handles.cc=[];
            handles.ca=[];
            handles.ck=[];
            handles.Dp=[];
            handles.Dn=[]; 
            handles.flag_IMK_GUI=[];
            handles.flag_Clough_GUI=[];            
            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[];
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
    elseif isempty(flag_for_mat)
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
%             handles.mat=[];
            %PINCH 4:
            handles.flag_pinch4=[];
            handles.gK1=[];
            handles.gK2=[];
            handles.gK3=[];
            handles.gK4=[];
            handles.gKLim=[];
            handles.dmgType=[];
            handles.uForceN=[];
            handles.uForceP=[];
            handles.gE=[];
            handles.gD1=[];
            handles.gD2=[];
            handles.gD3=[];
            handles.gD4=[];
            handles.gDLim=[];
            handles.gF1=[];
            handles.gF2=[];
            handles.gF3=[];
            handles.gF4=[];
            handles.gFLim=[];
            handles.fForceN=[];
            handles.fForceP=[];
            handles.rDispP=[];
            handles.rDispN=[];
            handles.ls=[];
            handles.lc=[];
            handles.la=[];
            handles.lk=[];
            handles.cs=[];
            handles.cc=[];
            handles.ca=[];
            handles.ck=[];
            handles.Dp=[];
            handles.Dn=[]; 
            handles.flag_Clough_GUI=[];
            handles.flag_IMK_GUI=[];
            %MODIFIED EH:
            handles.flag_EH_GUI=[];
            handles.H_kin=[];
            handles.H_iso=[];
            handles.H_tot=[];
            % STEEL01
            handles.a1_st=[];
            handles.a2_st=[];
            handles.a3_st=[];
            handles.a4_st=[];
            handles.flag_steel1_GUI=[];
            % IMK bilin
            handles.ls_bilin=[]; 
            handles.lc_bilin=[];  
            handles.la_bilin=[];  
            handles.lk_bilin=[];  
            handles.cs_bilin=[];  
            handles.cc_bilin=[];  
            handles.ca_bilin=[];  
            handles.ck_bilin=[]; 
            handles.Dp_bilin=[];
            handles.Dn_bilin=[];
            handles.n_bilin=[];
            handles.flag_IMK_GUI_bilin=[];
    end
else
    if flag_for_mat==1
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            %MODIFIED IMK:
            handles.Dp_y=[];
            handles.Dn_y=[];
            handles.flag_IMK_GUI_y=[];
            %MODIFIED EH:
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
    elseif flag_for_mat==2
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls_y=[];
            handles.lc_y=[];
            handles.la_y=[];
            handles.lk_y=[];
            handles.cs_y=[];
            handles.cc_y=[];
            handles.ca_y=[];
            handles.ck_y=[];
            handles.Dp_y=[];
            handles.Dn_y=[]; 
            handles.flag_IMK_GUI_y=[];
            handles.flag_Clough_GUI_y=[];
            %MODIFIED EH:
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
    elseif flag_for_mat==3
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            handles.flag_Clough_GUI_y=[];
            
            %MODIFIED EH:
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
     elseif flag_for_mat==4
%             set(handles.uibuttongroup7,'visible','off')
%             set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls_y=[];
            handles.lc_y=[];
            handles.la_y=[];
            handles.lk_y=[];
            handles.cs_y=[];
            handles.cc_y=[];
            handles.ca_y=[];
            handles.ck_y=[];
            handles.Dp_y=[];
            handles.Dn_y=[]; 
            handles.flag_IMK_GUI_y=[];
            handles.flag_Clough_GUI_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
     elseif flag_for_mat==5
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')       
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls_y=[];
            handles.lc_y=[];
            handles.la_y=[];
            handles.lk_y=[];
            handles.cs_y=[];
            handles.cc_y=[];
            handles.ca_y=[];
            handles.ck_y=[];
            handles.Dp_y=[];
            handles.Dn_y=[]; 
            handles.flag_IMK_GUI_y=[];
            handles.flag_Clough_GUI_y=[];
            %MODIFIED EH:
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
    elseif flag_for_mat==6
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
            val='off';
            set(handles.checkbox6,'enable',val)
            set(handles.checkbox7,'enable',val)
            set(handles.checkbox10,'enable',val)
            set(handles.radiobutton20,'enable',val)
            set(handles.radiobutton21,'enable',val)
            set(handles.radiobutton22,'enable',val)
            set(handles.radiobutton23,'enable',val)
            set(handles.radiobutton24,'enable',val)
            set(handles.radiobutton25,'enable',val)
            set(handles.radiobutton26,'enable',val)
            set(handles.radiobutton27,'enable',val)
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            %MODIFIED IMK: IMK and CLOUGH take the same parameters except for
            %Dp and Dn
            handles.ls_y=[];
            handles.lc_y=[];
            handles.la_y=[];
            handles.lk_y=[];
            handles.cs_y=[];
            handles.cc_y=[];
            handles.ca_y=[];
            handles.ck_y=[];
            handles.Dp_y=[];
            handles.Dn_y=[]; 
            handles.flag_IMK_GUI_y=[];
            handles.flag_Clough_GUI_y=[];
            %MODIFIED EH:
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
    elseif isempty(flag_for_mat)
%         set(handles.uibuttongroup7,'visible','off')
%         set(handles.uibuttongroup9,'visible','off')
        val='off';
        set(handles.checkbox6,'enable',val)
        set(handles.checkbox7,'enable',val)
        set(handles.checkbox10,'enable',val)
        set(handles.radiobutton20,'enable',val)
        set(handles.radiobutton21,'enable',val)
        set(handles.radiobutton22,'enable',val)
        set(handles.radiobutton23,'enable',val)
        set(handles.radiobutton24,'enable',val)
        set(handles.radiobutton25,'enable',val)
        set(handles.radiobutton26,'enable',val)
        set(handles.radiobutton27,'enable',val)
%             handles.mat_y=[];
            %PINCH 4:
            handles.flag_pinch4_y=[];
            handles.gK1_y=[];
            handles.gK2_y=[];
            handles.gK3_y=[];
            handles.gK4_y=[];
            handles.gKLim_y=[];
            handles.dmgType_y=[];
            handles.uForceN_y=[];
            handles.uForceP_y=[];
            handles.gE_y=[];
            handles.gD1_y=[];
            handles.gD2_y=[];
            handles.gD3_y=[];
            handles.gD4_y=[];
            handles.gDLim_y=[];
            handles.gF1_y=[];
            handles.gF2_y=[];
            handles.gF3_y=[];
            handles.gF4_y=[];
            handles.gFLim_y=[];
            handles.fForceN_y=[];
            handles.fForceP_y=[];
            handles.rDispP_y=[];
            handles.rDispN_y=[];
            handles.ls_y=[];
            handles.lc_y=[];
            handles.la_y=[];
            handles.lk_y=[];
            handles.cs_y=[];
            handles.cc_y=[];
            handles.ca_y=[];
            handles.ck_y=[];
            handles.Dp_y=[];
            handles.Dn_y=[]; 
            handles.flag_Clough_GUI_y=[];
            handles.flag_IMK_GUI_y=[];
            handles.flag_EH_GUI_y=[];
            handles.H_kin_y=[];
            handles.H_iso_y=[];
            handles.H_tot_y=[];
            % STEEL01
            handles.a1_st_y=[];
            handles.a2_st_y=[];
            handles.a3_st_y=[];
            handles.a4_st_y=[];
            handles.flag_steel1_GUI_y=[];
            % IMK bilin
            handles.ls_bilin_y=[]; 
            handles.lc_bilin_y=[];  
            handles.la_bilin_y=[];  
            handles.lk_bilin_y=[];  
            handles.cs_bilin_y=[];  
            handles.cc_bilin_y=[];  
            handles.ca_bilin_y=[];  
            handles.ck_bilin_y=[]; 
            handles.Dp_bilin_y=[];
            handles.Dn_bilin_y=[];
            handles.n_bilin_y=[];
            handles.flag_IMK_GUI_bilin_y=[];
    end
end
handles1=handles;