function [dvalues_act]=check_EDP_IM_1dir(ida,EDP_flag,Disp_lim)   
% check_EDP_IM
%-------------------------------------
% DESCRIPTION:
% In the modified IDA structure for a bidimensional SDOF system (see
% simplestSDOF_2dir.tcl) this function set active IM and EDP
% 
%--------------------------------------------------------------------------
% INPUT:
%--------------------------------------------------------------------------
% ida:            IDA structure from trace_IDA
% EDP_flag:       1 for disp max_x, 2 for max_res_x, 3 for disp max_x(D/C), 4
%                 for max_res_x(D/C)
% Disp_lim:       Limit for D/C. 
% 
%--------------------------------------------------------------------------
% OUTPUT:
%--------------------------------------------------------------------------
% dvalues_act:  results from traceIDA, active EDP and IM 
%--------------------------------------------------------------------------
if nargin<3
    Disp_lim=[];
end

if  EDP_flag==1
   dvalues_act=ida.dvalues;  
elseif  EDP_flag==2
    dvalues_act=ida.max_res_x;
elseif  EDP_flag==3
    for i=1:length(ida.dvalues)
        dvalues_act{i}=ida.dvalues{i}/Disp_lim(1);  
    end
elseif  EDP_flag==4
    for i=1:length(ida.dvalues)
        dvalues_act{i}=ida.max_res_x{i}/Disp_lim(1);  
    end
else
    dvalues_act=ida.dvalues;
end