function [imcap]=get_IM_caps(svalues,cv,lowest_C,dmvalue)
%---------------------------------------------
% Finds IM capacities for given DM (i.e. EDP) values
% Copyright (c) 1999 by D.Vamvatsikos

imcap=[];
indx=find(isinf(dmvalue));
dmvalue(indx)=1e100; % some huge value used instead of Inf.
%keyboard
for i=1:length(svalues)
   % Always pick the minimum IM that can cause such capacity. The use of x2y_s
   % guarantees that (I believe)
   imcap(:,i) = x2y_s(dmvalue, cv{i})';
   indx=find(isnan(imcap(:,i))|isinf(imcap(:,i)));
   % if at some drift levels there is no corresponding SA, this means that
   % the structure has collapsed at an earlier drift, so we are at the flatline
   % Hence, supply the flatline-Sa as the proper value.
   imcap(indx,i)=svalues{i}(lowest_C(i));
end