%  clc
clear all
close all

a=load('IDA_6_BF_X_ROB.mat');
idaX=a.handles1.ida;
clear a
a=load('IDA_6_BF_Y_ROB.mat');
idaY=a.handles1.ida;
clear a
a=load('IDA_6_BF_XY_ROB.mat');
idaXY=a.handles1.ida;
clear a

filename=idaXY.thfilename;
filename_x=filename(1:2:end);
filename_y=filename(2:2:end);
damp=5;
 T_int=0:0.001:4;
PSa_x=idaXY.Sa(:,1:2:end);
PSa_y=idaXY.Sa(:,2:2:end);
PSa_geomean=sqrt(PSa_y.*PSa_x);
T_x=1.25;
T_y=1.11;
%T_IM_=[1,1.11,1.18,1.25];
% T_IM_=[0.5,1.5,2,2.5];
T_IM_=1.25;
% figure1=figure('Position', [100, 100, 1024, 700]);
for j=1:length(T_IM_)
    T_IM=T_IM_(j);
    str1=sprintf('Fragilit per IM=Media Geometrica delle Sa a periodo T=%ss',num2str(T_IM));
    disp(str1)
    % Interpolazione sullo spettro dei segnali lungo x a Ty:
    rapp_X=interp1(T_int,PSa_x,T_x);
    % Interpolazione sullo spettro dei segnali lungo y a Tx:
    rapp_Y=interp1(T_int,PSa_y,T_x);
    % Interpolazione sullo spettro dei segnali lungo y a Tx:
    rapp_Y_1dir=interp1(T_int,PSa_y,T_y);
    % IM target
    rapp_YY=interp1(T_int,PSa_y,T_y);
    rapp_YY_geomeanTy=interp1(T_int,PSa_geomean,T_y);
    rapp_geomean=interp1(T_int,PSa_geomean,T_IM);

    % Scegli a quale IM scalare;
    rapp_x_target=interp1(T_int,PSa_x,T_IM); % Sa_x(Tim)
    %rapp_x_target=interp1(T_int,PSa_geomean,T_IM); % Sa_geom(Tim)
    rapp_y_target=interp1(T_int,PSa_y,T_IM); % Sa_x(Tim)
    rapp_y_target=interp1(T_int,PSa_geomean,T_IM); % Sa_geom(Tim)
    SFx=rapp_x_target./rapp_X;
    SFy=rapp_y_target./rapp_Y;
    SFy_1dir=rapp_y_target./rapp_Y_1dir;
    infEDP_lim=[[],0.8959]; 
    % figure;
    for i=1:length(PSa_y(1,:))
     svalues_X{i}=idaX.svalues{i}*SFx(i);
     svalues_YY{i}=idaXY.svalues_y{i}*SFy(i);
     svalues_Y{i}=idaY.svalues{i}*SFy_1dir(i);
    end

    % Interpola spostamento su x
        [cv_x,cvsa,sa_range,drval,qdr,saval_x,dr_range_x,qSa,lowest_C,tdv,tsv,...
        tdvalues_x,tsvalues_x]=...
        postIDA_simpleprocessIDA(svalues_X,idaX.dvalues,500,[0.16,0.50,0.84]',0.8959,1,...
        [],1);   
    % Interpola spostamento su y
        [cv,cvsa,sa_range,drval,qdr,saval_y,dr_range_y,qSa,lowest_C,tdv,tsv,...
        tdvalues,tsvalues]=...
        postIDA_simpleprocessIDA(svalues_Y,idaY.dvalues,500,[0.16,0.50,0.84]',0.8959,1,...
        [],1); 
    % IM_choosen=2;
    % EDP_choosen=2;
    deltay=0.07;
    deltay_y=0.059;
    T=1.25;
    T_y=1.11;
    fy=2283.327;
    fy_y=2617.585;
    sax=(fy/(T^2/(4*pi^2)*(fy/deltay)))/9.81;
    say=(fy_y/(T_y^2/(4*pi^2)*(fy_y/deltay_y)))/9.81;
    y_val=[deltay,deltay_y,sax,say];
    damp_IM=5;
    % T_IM=1; 
    % [~,~,~,~,~]=run_IDA_plot_NoSpo2frag_2dir_fortest(idaXY,pwd,y_val,[],500,infEDP_lim,1,1,2,T_IM,damp_IM,IM_choosen,EDP_choosen);
    % hold on
    % plot(dr_range,saval,'r','linewidth',2.5)
   hold on
    IM_choosen=1;
    EDP_choosen=1;
    [~,~,cv_x,~,~,saval_soft_x,dr_range_soft_x]=run_IDA_plot_NoSpo2frag_2dir_fortest(idaXY,pwd,y_val,[],500,infEDP_lim/idaX.dvalues{1}(2),1,1,2,T_IM,damp_IM,IM_choosen,EDP_choosen,1);

    IM_choosen=4;
    EDP_choosen=2;
    [~,~,~,~,~,saval_soft_y,dr_range_soft_y]=run_IDA_plot_NoSpo2frag_2dir_fortest(idaXY,pwd,y_val,[],500,infEDP_lim,1,1,2,T_IM,damp_IM,IM_choosen,EDP_choosen,[]);
%     dvalues=idaXY.dvalues(8:12);
%     svalues=idaXY.svalues(8:12);
%     for i=1:length(dvalues)
%         lowest_C(i)=length(dvalues{i});
%     end
%     plot_cv_IDAs(svalues,dvalues,cv_x,lowest_C,[],4,{'c-'},...
%                       '',0,1,0.1)

    % 

%     for i=1:30
%     figure(i)
%     plot(dr_range_soft_y,saval_soft_y(i,:),'r','linewidth',2)
%     % hold on
%     % plot(dr_range_y,saval_y(i,:),'c','linewidth',2)
%     hold on
%     plot(dr_range_y,saval_y(i,:),'c','linewidth',2)
%     end

%     for i=1:30
%     figure(i)
%     plot(dr_range_soft_x,saval_soft_x(i,:),'r','linewidth',2)
%     % hold on
%     % plot(dr_range_y,saval_y(i,:),'c','linewidth',2)
%     hold on
%     plot(dr_range_x,saval_x(i,:),'b','linewidth',2)
% figure;
% plot(dr_range_x,saval_x(8,:),'color',[.3 .3 .3],'linewidth',1)
for i=[21 18 3 25 8]
    hold on
    plot(idaX.dvalues{i}/idaX.dvalues{1}(2),svalues_X{i},'o','MarkerEdgeColor','k',...
    'MarkerFaceColor','k',...
    'MarkerSize',2)
end
xlabel('\delta_m_a_x/\delta_y','fontsize',10,'fontname','Times new roman')
if T_IM==0
    str1=sprintf('PGA [g]',num2str(T_IM));
else
    str1=sprintf(' Sa (T=%s s) [g]',num2str(T_IM));
end
ylabel(str1,'fontsize',10,'fontname','Times new roman')
xlim([0 infEDP_lim/idaX.dvalues{1}(2)])
set(gca,'fontsize',10,'fontname','Times new roman')
h=get(gca,'children');
val_d=0.5388/0.07;
val_sa=interp1(dr_range_soft_x,saval_soft_x(2,:),val_d);

v=[h(15),h(13),h(11),h(9),h(7)];
    fil=filename_x(1,[21,18,3,25,8]);
    fil'
%     g=legend(v,fil{1},fil{2},fil{3},fil{4},fil{5});
%     set(g,'fontsize',10,'fontname','Times new roman')
hold on
plot([val_d val_d],[0,val_sa],'-.','color',[.5 .5 .5],'linewidth',1)
hold on
plot([0 val_d],[val_sa,val_sa],'-.','color',[.5 .5 .5],'linewidth',1)
grid off
%     end
    % %
    % svalues_geom_soft=idaXY.svalues_quadmax;
    % for i=1:length(idaXY.svalues_quadmax)
    %     svalues_geom_man_x{i}=idaXY.svalues{i}*rapp_geomean(i)/rapp_X(i);
    %     svalues_geom_man_y{i}=idaXY.svalues_y{i}*rapp_geomean(i)/rapp_Y(i);
    % end
    %% Fragility
%     points_IM_xy_x=interp1(dr_range_soft_x,saval_soft_x',dr_range_soft_x(end));
%     points_IM_xy_y=interp1(dr_range_soft_y,saval_soft_y',dr_range_soft_y(end));
%     points_IM_xy=min(points_IM_xy_x,points_IM_xy_y);
%     points_IM_x=interp1(dr_range_x,saval_x',dr_range_x(end));
%     points_IM_y=interp1(dr_range_y,saval_y',dr_range_y(end));
%     points_IM=min(points_IM_x,points_IM_y);

    % figure;
    % [prob_xy, IM_xy_emp ]=ecdf(points_IM_xy_x);
    % [prob, IM_emp ]=ecdf(points_IM_x);
    % plot(IM_xy_emp,prob_xy,'linewidth',2,'color','k')
    % hold on
    % plot(IM_emp,prob,'linewidth',2,'color',[.5 .5 .5])
    
%     subplot(length(T_IM_)-2,2,j)
%     [prob_xy, IM_xy_emp ]=ecdf(points_IM_xy);
%     [prob_x, IM_x_emp ]=ecdf(points_IM_x);
%     [prob_y, IM_y_emp ]=ecdf(points_IM_y);
%     [prob, IM_emp ]=ecdf(points_IM);
%     points=0:0.1:8;
% mean_x=(mean(log(points_IM_x)));
% mean_y=(mean(log(points_IM_y)));
% mean_xy=(mean(log(points_IM_xy)));
% std_x=std(log(points_IM_x));
% std_y=std(log(points_IM_y));
% std_xy=std(log(points_IM_xy));
% prob_x_logn=logncdf( points,mean_x,std_x);
% prob_y_logn=logncdf( points,mean_y,std_y);
% prob_xy_logn=logncdf( points,mean_xy,std_xy);
% figure;
% plot(points,prob_x_logn,'b')
% hold on
% plot(points,prob_y_logn,'r')
% hold on
% plot(points,prob_xy_logn,'k')
% hold on
%     stairs(IM_xy_emp,prob_xy,'linewidth',2,'color','k')
%     hold on
%     stairs(IM_x_emp,prob_x,'linewidth',2,'color','b')
%     hold on
%     stairs(IM_y_emp,prob_y,'linewidth',2,'color','r')

%     stairs(IM_emp,prob,'linewidth',2,'color',[.5 .5 .5])
%     str=sprintf('Sa_g_e_o_m_e_a_n (T=%ss)',num2str(T_IM));
%     xlabel(str)
%     ylabel('P')
% %     h=legend('Modello bidirezionale','Modello singolo');
% %     set(h,'location','southeast')
%     str_n= sprintf('Fragilit T%s',num2str(T_IM));
%     grid on
%     saveas(gcf,[str_n,'.fig'])
end
% rec=1:30;
% figure;
% for i=1:30
% plot(ones(1,length(svalues_geom_man_x{i}))*i,svalues_geom_man_x{i},'o','MarkerEdgeColor','g',...
%     'MarkerFaceColor','g')
% hold on
% plot(ones(1,length(svalues_geom_man_y{i}))*i,svalues_geom_man_y{i},'o','MarkerEdgeColor','c',...
%     'MarkerFaceColor','c')
% hold on
% plot(ones(1,length(idaXY.svalues_quadmax{i}))*i,idaXY.svalues_quadmax{i},'o','MarkerEdgeColor','r',...
%     'MarkerFaceColor','r')
% end
% hold on
% plot(dr_range,saval,'o','MarkerEdgeColor','g',...
%     'MarkerFaceColor','g')
% clear dr_range saval
% load('dr_range_a')
% load('saval_a')
% hold on
% plot(dr_range,saval,'o','MarkerEdgeColor','c',...
%     'MarkerFaceColor','c')
% hold on
% plot(dr_range,saval,'color','c','linewidth',2.5)

% Add legends
% l(1)=legend(h(1),'LegendForFirstFigure')
% l(2)=legend(h(2),'LegendForSecondFigure')