#####################################################################################################
# #
# CreatePinch4_param.tcl #
# procedure to get parameters used in Pinching4 material starting from backbone parameters (ah,mc....)#
# {ePf1 eNf1 ePd1 eNd1 ePf2 eNf2 ePd2 eNd2 ePf3 eNf3 ePd3 eNd3 ePf4 eNf4 ePd4 eNd4 K0 My My_neg fi_y ah ac mu_c mu_f rp} {

# My My_neg fi_y ah ac mu_c mu_f rp: backbone parameters
# ePf1 eNf1 ePd1 eNd1 ePf2 eNf2 ePd2 eNd2 ePf3 eNf3 ePd3 eNd3 ePf4 eNf4 ePd4 eNd4: part of Pinching4 material parameters (only backbone parameters not parameters for degrade!)
# K0: Elastic stiffness
# Written : R.Baraschino #
 #####################################################################################################

proc CreatePinch4_param {ePf1 eNf1 ePd1 eNd1 ePf2 eNf2 ePd2 eNd2 ePf3 eNf3 ePd3 eNd3 ePf4 eNf4 ePd4 eNd4 K0 My My_neg fi_y ah ac mu_c mu_f mu_c_n mu_f_n rp} { 
 		# set My [expr $My]
		# #puts My=$My
		# set My_neg [expr $My_neg]
		# #puts My_neg=$My_neg
		# set fi_y [expr $fi_y]
		# #puts fi_y=$fi_y
		# set ah [expr $ah]
		# #puts ah=$ah
		# set ac [expr $ac]
		# #puts ac=$ac
		# set mu_c [expr $mu_c]
		# #puts mu_c=$mu_c
		# set mu_f [expr $mu_f]
		# #puts mu_f=$mu_f
		# set rp [expr $rp]
		#uniaxialMaterial ElasticPP 55 $k1  $dy
		#uniaxialMaterial Steel01 55 $Fy $k $b1
		upvar $ePf1 ePf1_loc 
		upvar $eNf1 eNf1_loc
		upvar $ePf2 ePf2_loc 
		upvar $eNf2 eNf2_loc
		upvar $ePf3 ePf3_loc 
		upvar $eNf3 eNf3_loc
		upvar $ePf4 ePf4_loc 
		upvar $eNf4 eNf4_loc
		upvar $ePd1 ePd1_loc 
		upvar $eNd1 eNd1_loc
		upvar $ePd2 ePd2_loc 
		upvar $eNd2 eNd2_loc
		upvar $ePd3 ePd3_loc 
		upvar $eNd3 eNd3_loc
		upvar $ePd4 ePd4_loc 
		upvar $eNd4 eNd4_loc
		upvar $K0 K0_loc


		set ePf1_loc $My
		#puts ePf1_loc=$ePf1_loc
		set eNf1_loc $My_neg
		set ePd1_loc $fi_y 
		#puts ePd1_loc=$ePd1_loc
		set eNd1_loc [expr $My_neg/($My/$fi_y)]
		#puts eNf1_loc=$eNf1_loc
		#puts eNd1_loc=$eNd1_loc


		set ePd2_loc [expr $fi_y*$mu_c] 

		set eNd2_loc [expr $eNd1_loc*$mu_c_n]
		set ePf2_loc [expr $My*(($mu_c-1)*$ah+1)]
		#puts ePf2_loc=$ePf2_loc 
		set eNf2_loc [expr $My_neg*(($mu_c_n-1)*$ah+1)]
		#puts ePd2_loc=$ePd2_loc
		#puts eNf2_loc=$eNf2_loc
		#puts eNd2_loc=$eNd2_loc
        set K0_loc [expr $ePf1_loc/$ePd1_loc]
		if {$rp == 0} {
			if {$ac < 0} {
			set ePf3_loc 0
			set eNf3_loc 0
			} else {
			set ePf3_loc [expr $My*($ePf2_loc/$My+($mu_f-$mu_c)*$ac)]
			set eNf3_loc [expr $My_neg*($eNf2_loc/$My_neg+($mu_f_n-$mu_c_n)*$ac)]
			}

			set ePd3_loc [expr $fi_y*$mu_f]
			set eNd3_loc [expr $eNd1_loc*$mu_f_n]
			set ePf4_loc [expr $ePf3_loc]
			set ePd4_loc [expr $ePd3_loc] 
			set eNf4_loc [expr $eNf3_loc]
			set eNd4_loc [expr $eNd3_loc] 

		} else {
		set ePf3_loc [expr $My*$rp]
		#set ePd3_loc [expr $fi_y*((($ePf2_loc/$My-$rp)/$ac)+$mu_c)]
		
		set ePd3_loc [expr ($ePf2_loc-$rp*$My+$mu_c*$fi_y*(-$ac*$K0_loc))/(-$ac*$K0_loc)]
		set ePf4_loc [expr $My*$rp]
		set ePd4_loc [expr $fi_y*$mu_f] 

		set eNf3_loc [expr $My_neg*$rp]
		#set eNd3_loc [expr $eNd1_loc*((($eNf2_loc/$My_neg-$rp)/$ac)+$mu_c)]
		set eNd3_loc [expr ($eNf2_loc-$rp*$My_neg+$mu_c_n*$eNd1_loc*(-$ac*$K0_loc))/(-$ac*$K0_loc)]
		set eNf4_loc [expr $My_neg*$rp]
		set eNd4_loc [expr $eNd1_loc*$mu_f_n] 
		} 
		
################################ end CreatePinch4_param.tcl #######################################
}
