proc DefineXYZ_UniformExcitation {dtsub g GMdir GMfileX GMfileY GMfileZ GMfactorX GMfactorY GMfactorZ npts dt {ipattern 2222}} {

source [concat [pwd]/util/ReadSMDFile3.tcl]

  # X-Component, if any
  if {$GMfileX!="" & $GMfactorX!=0} {
    set inFileX $GMdir$GMfileX
    # note that dt,npts are passed by reference here! So you actually get it back.
	  # return npts_xyz and dt_xyz as npts and dt, needed for the "analyze" command

  upvar $npts npts_xyz 
  upvar $dt dt_xyz
  set npts_xyz 0
  set dt_xyz 0
  ReadSMDFile3 $inFileX dtx nptsx
  # Modificato il nome del path da 1 a 10 per il 3d, rimettere 1 dopo
     set GaccelX "Path 1 -dt $dtx -filePath $inFileX -factor [expr $GMfactorX*$g]"
    eval "timeSeries $GaccelX"
    pattern UniformExcitation $ipattern 1 -accel 1
    puts "X-Component (tag [expr $ipattern+0]): $GMfileX"
    puts "X: DT=$dtx , NPTS= $nptsx --> using [expr $dtx/$dtsub], Scale Factor=$GMfactorX"
    puts $GaccelX
    set npts_xyz $nptsx
    set dt_xyz $dtx
    }
  # Y-Component, if any
  if {$GMfileY!="" & $GMfactorY!=0} {
    set inFileY $GMdir$GMfileY
    ReadSMDFile3 $inFileY dty nptsy
    set GaccelY "Path 2 -dt $dty -filePath $inFileY -factor [expr $GMfactorY*$g]"
    eval "timeSeries $GaccelY"
    pattern UniformExcitation [expr $ipattern+1] 2 -accel 2
    puts "Y-Component (tag [expr $ipattern+1]): $GMfileY"
    puts "Y: DT=$dty , NPTS= $nptsy --> using [expr $dty/$dtsub], Scale Factor=$GMfactorY"
    puts $GaccelY
    if {$npts_xyz==0} {
      set npts_xyz $nptsy
      set dt_xyz $dty
    }
  }
  # Z-Component, if any
  if {$GMfileZ!="" & $GMfactorZ!=0} {
    set inFileZ $GMdir$GMfileZ
    ReadSMDFile3 $inFileZ dtz nptsz
    set GaccelZ "Path 3 -dt $dtz -filePath $inFileZ -factor [expr $GMfactorZ*$g]"
    eval "timeSeries $GaccelZ"
    pattern UniformExcitation [expr $ipattern+2] 3 -accel 3
    puts "Z-Component (tag [expr $ipattern+2]): $GMfileZ"
    puts "Z: DT=$dtz , NPTS= $nptsz --> using [expr $dtz/$dtsub], Scale Factor=$GMfactorZ"
    puts $GaccelZ
    puts "IF THIS IS A 2D MODEL, THEN YOU HAVE JUST INCLUDED ROTATIONAL EXCITATION!"
    if {$npts_xyz==0} {
      set npts_xyz $nptsz
      set dt_xyz $dtz
    }
  }

}
  