function varargout = EH(varargin)
% EH MATLAB code for EH.fig
%      EH, by itself, creates a new EH or raises the existing
%      singleton*.
%
%      H = EH returns the handle to a new EH or the handle to
%      the existing singleton*.
%
%      EH('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in EH.M with the given input arguments.
%
%      EH('Property','Value',...) creates a new EH or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before EH_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to EH_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help EH

% Last Modified by GUIDE v2.5 20-Nov-2017 11:34:42

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @EH_OpeningFcn, ...
                   'gui_OutputFcn',  @EH_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before EH is made visible.
function EH_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to EH (see VARARGIN)

% Choose default command line output for EH
handles.output = hObject;
[x,map]=imread('hardeningmaterial.jpg');
image(x,'parent',handles.axes1)
% UIWAIT makes InputCheck wait for user response (see UIRESUME)
% uiwait(handles.figure1);
set(gca,'YTickLabel',[]);
set(gca,'XTickLabel',[]);
axis off
box on

handles_main=getappdata(0,'handles');
handles_main.flag_for_push1=0;
handles_main.H_tot=(handles_main.fy/handles_main.deltay)*handles_main.ah/(1-handles_main.ah);
if isempty(handles_main.H_kin)
    handles_main.H_kin=handles_main.H_tot;
end
if isempty(handles_main.H_iso)
    handles_main.H_iso=0;
end
set(handles.edit1,'string',num2str(handles_main.H_kin,'%.3f'));
set(handles.edit2,'string',num2str(handles_main.H_iso,'%.3f'));
set(handles.edit3,'string',num2str(handles_main.H_tot,'%.3f'))
setappdata(0,'handles',handles_main);


% Update handles structure
guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = EH_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
labelStr = '<html><center><a href=""> Here';
cbStr = 'web(''http://opensees.berkeley.edu/wiki/index.php/Hardening_Material'',''-browser'');';
hButton = uicontrol('string',labelStr,'units','character','pos',[-20,0.8,100,1],'callback',cbStr,'ButtonDownFcn', cbStr, 'Enable', 'inactive');
jButton = findjobj(hButton); % get FindJObj from the File Exchange
jButton.setCursor(java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
jButton.setContentAreaFilled(0); % or: jButton.setBorder([]);
% Get default command line output from handles structure

text('Position',[350 90],'String',['H_k_i_n [kN/m]'],'FontWeight','bold','FontSize',11)
text('Position',[350 135],'String',['H_i_s_o [kN/m]'],'FontWeight','bold','FontSize',11)
text('Position',[355 180],'String',['H_t_o_t [kN/m]'],'FontWeight','bold','FontSize',11)
handles_main=getappdata(0,'handles');
if isempty(handles_main.ah)
    cd(handles_main.pwd_opening)
    h=warndlg('Set backbone parameters before!','Warning');
    warning('Set backbone parameters before!');
    waitfor(h)
    return
end
if handles_main.fy~=abs(handles_main.fy_neg) & handles_main.mu_f~=abs(handles_main.mu_f_neg)  & handles_main.mu_c~=abs(handles_main.mu_c_neg)
    cd(handles_main.pwd_opening)
    h=warndlg('This material can be used only for simmetric backbones!','Warning');
    warning('This material can be used only for simmetric backbones!');
    waitfor(h)
    return
end
handles_main.H_kin=(abs(str2num(get(handles.edit1,'string'))));
handles_main.H_iso=(abs(str2num(get(handles.edit2,'string'))));
handles_main.H_tot=(handles_main.fy/handles_main.deltay)*handles_main.ah/(1-handles_main.ah);
set(handles.edit3,'string',num2str(handles_main.H_tot,'%.3f'))

setappdata(0,'handles',handles_main);
varargout{1} = handles.output;



function edit1_Callback(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit1 as text
%        str2double(get(hObject,'String')) returns contents of edit1 as a double
H_kin=(abs(str2num(get(handles.edit1,'string'))));
vec=struct('H_kin',H_kin);
flag=fn_Check_variables_VECTOR(vec);
if flag==1
    return
end
handles_main=getappdata(0,'handles');
handles_main.H_kin=mean(H_kin);
handles_main.H_iso=handles_main.H_tot-handles_main.H_kin;
set(handles.edit2,'string',num2str(handles_main.H_iso,'%.3f'))
set(handles.edit1,'string',num2str(handles_main.H_kin,'%.3f'))
setappdata(0,'handles',handles_main)
% --- Executes during object creation, after setting all properties.
function edit1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit2_Callback(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit2 as text
%        str2double(get(hObject,'String')) returns contents of edit2 as a double
H_iso=(abs(str2num(get(handles.edit2,'string'))));
vec=struct('H_iso',H_iso);
flag=fn_Check_variables_VECTOR(vec);
if flag==1
    return
end
handles_main=getappdata(0,'handles');
handles_main.H_iso=mean(H_iso);
handles_main.H_kin=handles_main.H_tot-handles_main.H_iso;
set(handles.edit1,'string',num2str(handles_main.H_kin,'%.3f'))
set(handles.edit2,'string',num2str(handles_main.H_iso,'%.3f'))
setappdata(0,'handles',handles_main)

% --- Executes during object creation, after setting all properties.
function edit2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
handles_main=getappdata(0,'handles');
handles_main.flag_EH_GUI=1;
handles_main.H_tot=str2num(get(handles.edit3,'string'));
handles_main.H_iso=str2num(get(handles.edit2,'string'));
handles_main.H_kin=str2num(get(handles.edit1,'string'));
handles_main.flag_for_push1=1;
setappdata(0,'handles',handles_main)
close(gcf)


function edit3_Callback(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit3 as text
%        str2double(get(hObject,'String')) returns contents of edit3 as a double


% --- Executes during object creation, after setting all properties.
function edit3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when user attempts to close figure1.
function figure1_CloseRequestFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: delete(hObject) closes the figure
delete(hObject);
