function [drift,tout]=postproc_osees1Di_oscillator_DYN_2DIR;
% Function for postprocessing 1D oscillators (e.g. simpleSDOF3.tcl) when running IDA
% with opensees. 
% It has been designed to be called from within anlsproc_oseesNDi.m to do the 
% post processing after each single dynamic run has been performed. 
%________________________________________________________________________________
% INPUT
%
% OUTPUT
% drift        : the primary EDP that will be output to traceIDA.m
%                This is used by traceIDA to measure against Th_drift limit.
%                If it exceeds Th_drift, then the algorithm stops incrementing 
%                the IM.
% tout         : a structure containing all the output taken from the timehistories
%                for the sdof, there is actually nothing here! But I could
%                use velocities or accelerations if I wanted.
%_____________________________________________________________________________________
%
% NOTE: the recorders must also output time, as we are reading the 2nd
%       column in each file!
%
% Created Feb 26,2006: The file postproc_osees2Di_frame.m was used as
%                       a template. It has been updated as well, so that 
%                       it doesn't produce errors if "-time" is specified
%                       or not at the recorders!
% Updated 10/05/2006: Returns an empty structure, instead of a non-empty
%                     one with useless stuff!
% Updated 08/01/2012: Made compatible with newer output of OpenSEES which omits the 
%                     final space at the end of each line, thus removing the need to 
%                     decrease icol by 1.


single_rdrx_file=dir([pwd,'/','Disp.out']);
if ~isempty(single_rdrx_file)
   tdrx=dlmread([pwd,'/',single_rdrx_file.name],' ');
   %icol=size(tdrx,2)-1;   
   icol=size(tdrx,2);   
   maxrdrx=max(abs(tdrx(:,icol)));
   aa=(abs(tdrx(:,icol)));
   res=aa(end);
end

% a=load('Disp.out');
% b=load('Force.out');
% figure;
% b=b(:,2);
% a=a(:,2);
% hold on
% plot(a,b,'LineWidth',1.5,'Color',[.5 .5 .5])

drift=maxrdrx;
 tout=struct([]);
% tout.res=res;